﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="CallDetails_Sync._Default" %>

<%@ Register Assembly="Syncfusion.EJ" Namespace="Syncfusion.JavaScript.Models" TagPrefix="ej" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="ajaxToolkit" %>

<asp:Content ID="head" ContentPlaceHolderID="head" runat="server">
    <script src="Scripts/ej/i18n/ej.culture.de-DE.min.js"></script>
    <link rel="stylesheet" runat="server" href="Content/Site.css" type="text/css" />
</asp:Content>

<asp:Content ID="body" ContentPlaceHolderID="body" runat="server">

    <div class="mainCommand">
        <div class="divCommand">
            <ej:Button ID="btnClear" Type="Button" CssClass="button" ClientSideOnClick="getData" runat="server" Text="Initial load / reset" OnClick="btnClear_Click" EnableRTL="False"></ej:Button>
        </div>
    </div>

    <ej:Splitter ID="SPMain" runat="server" Height="80vh" Width="100%" Orientation="Horizontal" EmptyDataText="" EnableAutoResize="false">
        <ej:SplitPane PaneSize="70%" MinSize="400" runat="server">
            <PaneContent>
                <div style="height: 100%; width: 100%; float: left;">
                    <div style="height: 100%; width: 100%; float: left;">
                        <asp:TextBox ID="txtBoxCallLog" runat="server" TextMode="MultiLine" CssClass="txtBoxCallLog"></asp:TextBox>
                    </div>
                </div>
            </PaneContent>
        </ej:SplitPane>

        <ej:SplitPane runat="server" PaneSize="450px">
            <PaneContent>
                <div id="targetelement">
                    <div>
                        <ej:WaitingPopup ID="test" runat="server" Target="#targetelement" ShowOnInit="false"></ej:WaitingPopup>
                        <ej:Grid ID="mainGrid" AllowResizing="true" AllowPaging="True" AllowSorting="true" AllowGrouping="true" DataSourceCachingMode="ViewState" CssClass="customCSS" runat="server" OnServerRecordDoubleClick="mainGrid_ServerRecordDoubleClick">
                            <%--                            <DataManager Adaptor="WebApiAdaptor" URL="api/main/" />--%>
                            <Columns>
                                <ej:Column Field="INTERACTIONIDKEY" HeaderText="INTERACTIONIDKEY" TextAlign="Left" Width="150px">
                                </ej:Column>
                                <ej:Column Field="REMOTENUMBER" HeaderText="REMOTENUMBER" TextAlign="Left" Width="150px">
                                </ej:Column>
                                <ej:Column Field="LASTUPDATE" HeaderText="DATETIME" TextAlign="Left" Format="{0:MM/dd/yyyy}" Width="150px">
                                </ej:Column>
                            </Columns>
                            <PageSettings PageSize="18" />
                            <ClientSideEvents DataBound="dataBound" />
                        </ej:Grid>
                    </div>
                </div>
            </PaneContent>
        </ej:SplitPane>
    </ej:Splitter>

    <script type="text/javascript">
<%--        $(function () {
            $("#<%=mainGrid.ClientID%>").hide();
            $("#test").ejWaitingPopup("hide");
        });


        setTimeout(function () {
            $.ajax({
                url: "/Default.aspx/GetData",
                type: "POST",
                dataType: 'json',
                contentType: "application/json; charset=utf-8",
                success: function (data) {
                    $("#<%=mainGrid.ClientID%>").show();
                }
            });
       }, 700)--%>


        //click event of button
        function getData(e) {
            var element = $("#<%=mainGrid.ClientID%>");
            if (element.ejWaitingPopup("model.showOnInit"))
                element.ejWaitingPopup("hide");
            else
                element.ejWaitingPopup("show");
        }

    </script>
    <style>
        .e-waitpopup-pane {
            background-color: transparent !important;
            left: 600px;
            top: 200px;
        }
    </style>

</asp:Content>


